#!/usr/bin/env python3
# Phytec 2022, V1.0

import sys
import os
from pprint import pprint

import isp_json


def main(args):
    vd = os.open('/dev/video-isp-csi1', os.O_RDWR | os.O_NONBLOCK, 0)
    isp = isp_json.IspJson(vd)

    data = isp.read_json({'id': 'ec.g.cfg', 'streamid': 0})
    pprint(data)

    isp.write_json({'id': 'ec.s.cfg', 'streamid': 0, 'gain': 2.0, 'time': 0.016})

    data = isp.read_json({'id': 'ec.g.cfg', 'streamid': 0})
    pprint(data)

    os.close(vd)


if __name__ == '__main__':
    sys.exit(main(sys.argv))
